# Get financial invoice

Retrieves details for the specified <a href="https://docs.solidgate.com/finance/financial-reports/financial-invoices/" target="_blank">financial invoice</a>. This endpoint requires an account-level API key.

Endpoint: POST /financial-invoices/get
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `id` (string, required)
    Unique financial invoice identifier.
    Example: finv_01KM4X2H8KQWE5T6Y7R2M4N0BX

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique financial invoice identifier.
    Example: finv_01KM4X2H8KQWE5T6Y7R2M4N0BX

  - `provider_invoice_id` (string)
    Unique identifier for the invoice assigned by the provider.
    Example: 3949509271EUR035

  - `provider` (string, required)
    Provider that sent the financial invoice.
    Example: CHECKOUT

  - `legal_entity_id` (string, required)
    Identifier of the legal entity the financial invoice was sent to.
    Example: le_01JZ9F3H8KQWE5T6Y7R2M4N0BX

  - `currency` (string)
    Currency of the financial invoice in ISO 4217 alphabetic code. Absent when the provider does not report the currency.
    Example: EUR

  - `period_from` (string)
    First day of the date range the financial invoice covers. Absent when the provider does not report the period.
    Example: 2026-08-01

  - `period_to` (string)
    Last day of the date range the financial invoice covers. Absent when the provider does not report the period.
    Example: 2026-08-31

  - `uploaded_at` (string, required)
    Date and time of the financial invoice upload.
    Example: 2026-09-01T05:10:24.997513Z

  - `created_at` (string, required)
    Date and time when the financial invoice was created.
    Example: 2026-09-01T08:47:15.698447Z

  - `updated_at` (string, required)
    Date and time when the financial invoice was last updated.
    Example: 2026-09-01T10:00:00.000000Z

  - `files` (array, required)
    Downloadable files attached to the financial invoice. When the provider updates the financial invoice, only the latest version is available for download.
    Example: [{"type":"FINANCIAL_INVOICE","status":"SUCCEEDED","download_url":"https://storage.example.com/financial-invoices/invoice.pdf?signature=abc123"}]

  - `files.type` (string, required)
    Type of downloadable file attached to the financial invoice.
    Enum: "FINANCIAL_INVOICE"

  - `files.status` (string, required)
    Generation status of the file.
    Enum: "PROCESSING", "SUCCEEDED", "FAILED"

  - `files.download_url` (string)
    Short-lived pre-signed URL for downloading the file. Present only when the file status is SUCCEEDED. File format is CSV or PDF, depending on the provider.
    Example: https://storage.example.com/financial-invoices/invoice.pdf?signature=abc123

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 404 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "NOT_FOUND"

  - `message` (string, required)
    Message describing the error. The entity varies by endpoint.
    Example: The requested resource could not be found

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

